﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GeoTools.General;
using System.ComponentModel;

namespace GeoTools
{
    public class Scene : IScene
    {
        List<IGeoObject> shapes = new List<IGeoObject>();

        public void Add(IGeoObject o)
        {
            shapes.Add(o);

            Notify();
        }

        private void Notify()
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs("Shapes"));
        }

        public void Remove(IGeoObject o)
        {
            shapes.Remove(o);
        }

        public ICollection<IGeoObject> Shapes
        {
            get { return shapes; }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
